import request from '@/utils/request'
// 贷款申请-新增 system:application:add
export function getApplicationAdd(data) {
  return request({
    'url': '/application',
    'method': 'post',
	'data':data
  })
}
// 贷款申请-列表 system:application:list
export function getApplicationList(data) {
  return request({
    'url': '/application/list',
    'method': 'get',
	'data':data
  })
}
// 贷款申请-详情 system:application:list
export function getApplicationDet(data) {
  return request({
    'url': '/application/'+data,
    'method': 'get',
  })
}
// 贷款申请-修改 system:application:edit
export function getApplicationEdit(data) {
  return request({
    'url': '/application/put',
    'method': 'post',
	'data':data
  })
}
// 贷款申请-删除 system:application:remove
export function getApplicationDel(data) {
  return request({
    'url': '/application/delete/'+data,
    'method': 'get',
  })
}
// 贷款申请-暂存 system:application:temporary
export function getApplicationZc(data) {
  return request({
    'url': '/application/temporary',
    'method': 'post',
	'data':data
  })
}
// 获取贷款申请编号
export function getApplicationNum(data) {
  return request({
    'url': '/application/getLoanApplicationNumber',
    'method': 'post',
	'data':data
  })
}
// 贷款进度-列表 system:schedule:list
export function getScheduleList(data) {
  return request({
    'url': '/schedule/list',
    'method': 'get',
	'data':data
  })
}